﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

// 自機
public class Fighter : MonoBehaviour {
	void Update() {
		float elapsedTime = Time.deltaTime;

		// Unity Editor上とPCビルドで有効になるシンボル
#if UNITY_EDITOR || UNITY_STANDALONE
		// 左ボタン（0番）を"押している"際の処理
		if (Input.GetMouseButton(0)) {
			Vector3 pos = Input.mousePosition;
			pos = GetScreen2WorldPosition(pos);
			transform.position = pos;
		}
#else
    if (Input.touchCount > 0) {
        // タッチ入力が存在する場合の0番の座標を取得
        Touch touch = Input.GetTouch(0);
        Vector3 pos = touch.position;
        pos = GetScreen2WorldPosition(pos);
        transform.position = pos;
    }
#endif
	}

	// スクリーン座標からワールド座標を求める
	// position : 入力スクリーン座標
	// return : 入力地点のワールド座標
	Vector3 GetScreen2WorldPosition(Vector3 position) {
		Camera cam = Camera.main;
		position.z = cam.transform.position.y;
		return cam.ScreenToWorldPoint(position);
	}
}